跳转到主要内容
POST
https://api.aisa.one/apis/v1
/
apollo
/
news_articles
/
search
新闻文章搜索
curl --request POST \
  --url https://api.aisa.one/apis/v1/apollo/news_articles/search \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aisa.one/apis/v1/apollo/news_articles/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aisa.one/apis/v1/apollo/news_articles/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "pagination": {},
  "news_articles": [
    "<string>"
  ]
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

organization_ids[]
string[]
必填

你希望包含在搜索结果中的公司 Apollo ID。Apollo 数据库中的每家公司都会被分配一个唯一 ID。要查找 ID,请调用 Organization Search 端点并识别 organization_id 的值。示例:5e66b6381e05b4008c8331b8

categories[]
string[]

筛选搜索结果,使其仅包含特定新闻类别或子类别。使用 Apollo 中面向公司的新闻搜索筛选器,查找所有可能的类别和子类别。示例:招聘;投资;合同

published_at[min]
string

设置要搜索的日期范围下限。请将此参数与 published_at[max] 参数结合使用。此日期应早于 published_at[max] 日期。日期格式应为 YYYY-MM-DD。示例:2025-02-15

published_at[max]
string

设置要搜索的日期范围上限。此参数应与 published_at[min] 参数结合使用。此日期应晚于 published_at[min] 日期。日期格式应为 YYYY-MM-DD。示例:2025-05-15

page
integer

要检索的 Apollo 数据页码。将此参数与 per_page 参数结合使用,使搜索结果可分页浏览并提高端点性能。示例:4

per_page
integer

每页应返回的搜索结果数量。限制每页的结果数量可提高端点性能。使用 page 参数搜索不同的数据页。示例:10

响应

成功响应

pagination
object

响应对象

news_articles
string[]

响应数组